Mac OSX php pg_connect problem

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Mac OSX php pg_connect problem

Postby paulbc » 24. April 2009 22:48

For some reason I can not get the new version of PHP 5.2.6 with XAMPP (i downloaded it a couple months ago) to work with a postgresql database. I get the error Call to undefined function pg_connect(). I think it has something to do with the version PHP not working right with the dll files. I'm wondering if other mac users have run into this problem with XAMPP and PHP and have found the solution that works?

Posts: 3
Joined: 23. February 2009 02:45

Re: Mac OSX php pg_connect problem

Postby kleinweby » 25. April 2009 10:26

hey Paul,

you have to load the pgsql extension. This can be done by simply adding
Code: Select all

into your php.ini. Don't forgot to restart Apache.

Btw: your XAMPP is outdated.

User avatar
AF Moderator
Posts: 393
Joined: 03. August 2005 19:52
Location: Magdeburg
Operating System: Mac OS X 10.7

Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 5 guests